Bug 146683 - rt.jar alternatives symlink overwrites SDK rt.jar file
rt.jar alternatives symlink overwrites SDK rt.jar file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-31 13:31 EST by Thomas Fitzsimmons
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-03 18:37:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Fitzsimmons 2005-01-31 13:31:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
java-1.4.2-gcj-compat installs rt.jar as an alternatives-managed
symlink that points to libgcj-${version}.jar.  But this means that if
rt.jar is present in /usr/lib/jvm/java when java-1.4.2-gcj-compat is
installed, it is silently overwritten.  We'll likely solve this by
making all JPackage SDK packages install rt.jar as a symlink (renaming
their own rt.jar where needed).
 

Version-Release number of selected component (if applicable):
java-1.4.2-gcj-compat-1.4.2.0-39jpp

How reproducible:
Always

Steps to Reproduce:
1. install java-1.5.0-sun-compat
2. install java-1.4.2-gcj-compat


Actual Results:  /usr/lib/jvm/java/rt.jar points to libgcj-${version}.jar


Expected Results:  /usr/lib/jvm/java/rt.jar should still be Sun's
rt.jar file.
 

Additional info:
Comment 1 Thomas Fitzsimmons 2005-03-03 18:37:47 EST
Fixed in Fedora Core 4 test 1.  Closing.

Note You need to log in before you can comment on or make changes to this bug.